import React from "react";
import GoogleMapReact from 'google-map-react';
import "./css/maps.css";
import apiKey from './config/googleApiKey.js';

const LONGITUDE = 14.320570
const LATITUDE = 48.336950

const AnyReactComponent = ({ text }) => <div>{text}</div>;

export default class Google extends React.Component{
  state = {
    latitude: LATITUDE,
    longitude: LONGITUDE,
    zoom: 15,
    }
  
  render() {
    const position = [this.state.latitude, this.state.longitude]
    return (
      <div style={{ height: '450px', width: '600px' }}>
        <GoogleMapReact
          bootstrapURLKeys={{ key: apiKey }}
          defaultCenter={position}
          defaultZoom={this.state.zoom}
          yesIWantToUseGoogleMapApiInternals
          layerTypes={['TrafficLayer', 'TransitLayer']}
        >
        
          <AnyReactComponent
            lat={59.955413}
            lng={30.337844}
            text="My Marker"
          />

        </GoogleMapReact>
      </div>
    );
  }
}